<template>
    <div class='user_panel'> 
      <img class='user_thumbnail' :src="image"></img>
      <p>{{name}}</p>
      <p>{{email}}</p>
      <sign-out-button></sign-out-button>
  </div>
</template>

<script>
  export default {
    data() {
      return {
        name: this.$store.state.user.name,
        email: this.$store.state.user.email,
        image: this.$store.state.user.image,
        provider: this.$store.state.user.provider
      }
    }
  }
</script>
